#include "imageinformations.h"
#include <QPixmap>
#include "formats.h"

int ImageInformations::imageWidth(QString fileName)
{
    int width = 0;

    if (Formats::isNativeReadable(fileName)) {
        QPixmap pix(fileName);
        width = pix.width();
    }
    else {
        Image my_image;

        try {
            my_image.read(fileName.toStdString());
            width = my_image.columns();
        }
        catch(Exception &error_)
        {
            return 0;
        }
    }

    return width;
}

int ImageInformations::imageHeight(QString fileName)
{
    int height = 0;

    if (Formats::isNativeReadable(fileName)) {
        QPixmap pix(fileName);
        height = pix.height();
    }
    else {
        Image my_image;

        try {
            my_image.read(fileName.toStdString());
            height = my_image.rows();
        }
        catch(Exception &error_)
        {
            return 0;
        }
    }

    return height;
}
